Figure - Bug #114334
Bug # 111192 (CLOSED): O Figured 0 EVT30 O EEC O 0O 0O O O 10 60 O O Performanced

OBSPO O TouchDOEVTOODOOTPOOOkoD OO OO12s000000
2022-12-06 15:18 - CD SYSTEM-0 0 O

Status: CLOSED Start date: 2022-12-06
Priority: Normal Due date: 2023-02-15
Assignee: gbooboo_cepTsbod % Done: 100%
Category: BSP Estimated time: 0.00 hour
Target version:

Need_Info: - Found Version: every version
Resolution: FIXED Degrated: -

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: goddddoooooooo
Description

Line 921: [ 1.776541] cyttsp7_i2c_adapter 0-0024: cyttsp7_init: INIT CYTTSP RST gpio=1106 and IRQ gpio=1107 ERR gpio=1123
Line 923:[ 1.868047] cyttsp7_i2c_adapter 0-0024: cyttsp7_xres: RESET CYTTSP gpio=1106 r=0
Line 925: [ 1.868207] cyttsp7_i2c_adapter 0-0024: cyttsp7_handle_work_function: Fail read adapter r=-107
Line 941: [ 2.880055] cyttsp7_i2c_adapter 0-0024: cyttsp7_wait_bl_heartbeat: tmo waiting bl heartbeat cd->mode=0
Line 942: [ 2.880065] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: Error on h/w reset r=-62
Line 943:[ 2.880073] cyttsp7_i2c_adapter 0-0024: cyttsp7_startup_: cyttsp7_exit startup rc=-19...
Line 945: [ 2.880223] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_sleep_device: Fail read adapter r=-107
Line 946: [ 2.880231] cyttsp7_i2c_adapter 0-0024: _cyttsp7_core_sleep: sleep state rc -107
Line 947: [ 2.924074] cyttsp7_i2c_adapter 0-0024: cyttsp7_core_rt_suspend: Error on sleep
Line 948:[ 2.924082] cyttsp7_i2c_adapter 0-0024: cyttsp7_probe: Fail initial startup r=-19
Line 949: [ 2.924165] cyttsp7_i2c_adapter 0-0024: cyttsp7_probe failed.

History

#1-2022-12-08 11:37 - CDTS-TEST O O
- Target version set to VX1_MCE_FSE_V5.0_20221230

#2 - 2022-12-09 13:59 - CD SYSTEM-O O O
- Assignee changed from CD BSP-0 0 to CD SYSTEM-0O O O
- Target version deleted (VX1_MCE_FSE_V5.0_20221230)

max96755 0 cyttsp7 D O koD O OO OO OO 16s000
goodgooo
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/opensource/display-drivers/+/168624

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/kona/+/168260

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/168261

Line 12:01-0110:11:47.538 0 Ol : Booting Linux on physical CPU 0x0000000000 [0x51df805e]
Line 1216:01-0110:11:48.783 0 Olinit :initfirst stage started!

Line 1268:01-0110:11:50.126 0 0 linit :initsecond stage started!

Line 1793:01-0110:11:51.250 504 504 F DEBUG : Cmdline: /system/bin/init second_stage

Line 3084:01-0110:11:52.292 668 668 | boot_progress_start: 5364

Line 3204:01-0110:11:52.718 668 668 I boot_progress_preload_start: 5790

Line 3644:01-0110:11:53.668 668 668 I boot_progress_preload_end: 6740

Line 3799:01-0110:11:54.107 1489 1489 | boot_progress_system_run: 7179
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/opensource/display-drivers/+/168624
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/qcom/kona/+/168260
https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/168261

Line 4273:01-01 10:11:54.938 1489 1489 | boot_progress_pms_start: 8010

Line 4459:01-01 10:11:55.014 1489 1489 | boot_progress_pms_system_scan_start: 8086
Line 4502: 01-01 10:11:55.393 1489 1489 | boot_progress_pms_data_scan_start: 8465
Line 4511:01-0110:11:55.397 1489 1489 | boot_progress_pms_scan_end: 8469

Line 4521:01-01 10:11:55.456 1489 1489 | boot_progress_pms_ready: 8528

Line 5654: 12-08 19:44:51.471 1489 1489 | boot_progress_ams_ready: 9126

Line 7033:12-08 19:44:52.196 1489 1575 | boot_progress_enable_screen: 9852

#3 - 2022-12-09 14:03 - CD SYSTEM-O O O
- Status changed from New to RESOLVED
- Assignee changed from CD SYSTEM-[0 0 0 to CDTS_TEST O

gooovBOOOOODODOOODODOOODODODOOOODOOOOOOO
/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssil2-dev/20221208/202212081841-1724

#4 - 2022-12-09 14:19 - CDTS_TEST O O
- Assignee changed from CDTS_TESTO O to0 0 OO OO _CDTSO O

logcat -b events | grepboot_progress O OO0 0000 OO0 ODuserD000OVBOOODOSO OO0O0O0OOODOCOOODO16s000O0OOL2sdisplayC OO0
J400ms00000000O0OOkerneldenable_screen0 000 0011-120000000098-10000

#5-2022-12-1215:02-0 00000 _CDTSO O
- Status changed from RESOLVED to VERIFY_FAILED
- Assignee changed from0 0 0 00 0 _CDTSO O toCDSYSTEM-O O O

00000 1724_FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202212082110
gooboooooooooooooooooooooo

#6 - 2022-12-13 18:33 - CD SYSTEM-O O O
- Status changed from VERIFY_FAILED to RESOLVED
- Assignee changed from CD SYSTEM-O 00 toO OO OO O _CDTSO O

OooooovBOOOOVCIOVXIDOODOOOODODOODO
/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssil2-dev/20221213/202212131605-1776

J0000o0oooooooooOoOnloegd
adb root

adb shell dmesg > d.txt

adb logcat > L.txt

#7-2022-12-131953-0 00000 _CDTSO O

- File d.txt added

- File l.txt added

- Assignee changed fromC 0 0 0O O _CDTSO O toCDSYSTEM-O O O
gooobooboboboobobooooooooobobobobobooo
oooooooo

adb shell dmesg > d.txt

adb logcat > L.txt

#8 - 2022-12-14 18:41 - CD SYSTEM-O O O
- Category set to SYSTEM

#9 - 2022-12-15 18:50 - CD SYSTEM-O O O
- Category deleted (SYSTEM)
- Assignee changed from CD SYSTEM-O O 0 toO OO OO O _CDTSO O

pooobovBOOODOODOOO
/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20221215/202212151447-1818

#10-2022-12-1911:09- 000000 _CDTSO O

voOOOOOoOOooOog11s2s00

01-0108:09:30.298 658 658 | boot_progress_start: 5429
01-0108:09:30.758 658 658 | boot_progress_preload_start: 5889
01-0108:09:31.738 658 658 I boot_progress_preload_end: 6869
01-0108:09:31.990 1499 1499 | boot_progress_system_run: 7121
01-0108:09:32.793 1499 1499 | boot_progress_pms_start: 7924

01-01 08:09:32.871 1499 1499 | boot_progress_pms_system_scan_start: 8002
01-0108:09:33.263 1499 1499 | boot_progress_pms_data_scan_start: 8394
01-0108:09:33.267 1499 1499 | boot_progress_pms_scan_end: 8398
01-01 08:09:33.321 1499 1499 | boot_progress_pms_ready: 8452
12-1515:22:41.601 1499 1499 | boot_progress_ams_ready: 9166
12-1515:22:42.412 1499 1578 | boot_progress_enable_screen: 9978

#11 - 2022-12-19 11:12 - IoT scm

Gerrit Merge Information(

1D Project Branch Uploader
168624 general/platform/vendor/opensource/ | Pre_figure_turbox-c2130c-lal.1-vendo | gongyz1203@thundersoft.com
display-drivers r-dev

SYSTEM:PERFORMANCE: max96755,cyttsp7 and atmel_mxt driver changed to ko. 1/31 max96755 cyttsp7 atmel_mxt driver changed to ko.2 insmod them in
early-init.3 shorten boot time about 1.6s. TC-RID: 1200-0800202Issuel D: TS-R-DF-114334Change-1d: 1d9319d398a51002e74782e508706a71ce11a9d70

#12 - 2022-12-19 11:12 - loT scm

Gerrit Merge Information(]

1D Project Branch

Uploader
168261 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | gongyz1203@thundersoft.com

r-dev

SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 3/31 cyttsp7 and atmel_mxt driver changed to ko.2 insmod them in early-init.3 shorten
boot time about 1.6s. TC-RID: 1200-0800202IssuelD: TS-R-DF-114334Change-1d: 17e6a9f7169969d7796f3b0c2aaebb366214fc6f0

#13 - 2022-12-19 11:12 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
170808 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | gongyz1203@thundersoft.com
ts/figure r-dev

SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 2/31 cyttsp7 and atmel_mxt driver changed to ko.2 insmod them in boot stage.3 shorten
boot time about 1.6s.Change-1d: Ib17368e3c42632d40047e5c0ed9064751219d1feTC-RID: 1200-08002021ssuel D: TS-R-DF-114334

#14 - 2022-12-20 19:01 - 10T scm
Gerrit Merge Information(

1D Project Branch Uploader
171347 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
r-ftm-dvtl

SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 3/31 cyttsp7 and atmel_mxt driver changed to ko.2 insmod them in early-init.3 shorten
boot time about 1.6s.TC-RID: 1200-08002021ssuel D: TS-R-DF-114334Change-1d: 17e6a9f7169969d7796f3b0c2aaebb366214fc6f0

#15 - 2022-12-20 19:01 - loT scm

Gerrit Merge Information]

1D Project Branch Uploader
171283 general/vendor/thundercomm/produc | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
ts/figure r-ftm-dvtl
SYSTEM:PERFORMANCE: cyttsp7 and atmel_mxt driver changed to ko. 2/31 cyttsp7 and atmel_mxt driver changed to ko.2 insmod them in boot stage.3 shorten
boot time about 1.6s.Change-Id: I1b17368e3c42632d40047e5c0ed9064751219d1feTC-RID: 1200-08002021ssuel D: TS-R-DF-114334

#16 - 2022-12-20 19:01 - loT scm

Gerrit Merge Informationd

1D Project Branch Uploader
171284 general/platform/vendor/opensource/ | Pre_figure_turbox-c2130c-lal.1-vendo | xiao.yu@thundersoft.com
display-drivers r-ftm-dvtl

SYSTEM:PERFORMANCE: max96755,cyttsp7 and atmel_mxt driver changed to ko. 1/31 max96755 cyttsp7 atmel_mxt driver changed to ko.2 insmod them in
early-init.3 shorten boot time about 1.6s. TC-RID: 1200-0800202Issuel D: TS-R-DF-114334Change-1d: 1d9319d398a51002e74782e508706a71ce11a9d70

#17-2022-12-2119:34-0 00000 _CDTSO O
- Status changed from RESOLVED to VERIFIED

000 0O d FlatBuild_HH_VX1_MCE_FSE.M.R.userdebug.01.00.0060.X101
go0o0obobO0obOD01167sDODO0O18s

A aadb logcat b-events|grep-boot—progress

waiting for device -

01-0108:07:36.293 660 660 I boot_progress_start: 5170

01-0108:07:36.773 660 660 I boot_progress_preload_start: 5650
01-0108:07:37.932 660 660 I boot_progress_preload_end: 6809
01-0108:07:38.219 1519 1519 | boot_progress_system_run: 7096

01-01 08:07:38.824 1519 1519 | boot_progress_pms_start: 7701
01-0108:07:38.903 1519 1519 | boot_progress_pms_system_scan_start: 7780
01-0108:07:39.276 1519 1519 | boot_progress_pms_data_scan_start: 8153
01-01 08:07:39.278 1519 1519 | boot_progress_pms_scan_end: 8155

01-01 08:07:39.335 1519 1519 | boot_progress_pms_ready: 8213
12-2017:06:04.833 1519 1519 | boot_progress_ams_ready: 9154
12-2017:06:05.457 1519 1597 | boot_progress_enable_screen: 9778

#18-2022-12-2119:34-0 00000 _CDTSO O

- Status changed from VERIFIED to CLOSED

#19-2022-12-2716:30-0 0 0000 _CDTSO O
- Category set to BSP

#20-2023-01-1222:43-0 00000 _CDTSO O

- Status changed from CLOSED to New

0000000O00D00O0O0DOOO00reopen
#21-2023-01-1222:43-0 00000 _CDbTsO O
- Assignee changed from 0 0 0 0 O O _CDTSO O to CD SYSTEM-O O

#22 - 2023-01-13 15:07 - CD SYSTEM-0O O
- Assignee changed from CD SYSTEM-[ O to CD BSP-0 O

#23 - 2023-01-18 16:56 - CD BSP-01 [

- % Done changed from 0 to 40

Oo0O0O000VCltouchOOOD OO

#24 - 2023-01-31 13:58 - CD BSP-0J [0
- Due date changed from 2022-12-24 to 2023-02-07

#25 - 2023-02-02 17:14 - CD BSP-0O O

gooao
vXioooao

01-01 08:30:13.285 665
01-01 08:30:13.728 665
01-0108:30:14.596 665
01-0108:30:14.787 1517
01-0108:30:15.224 1517
01-0108:30:15.310 1517
01-0108:30:15.850 1517
01-0108:30:15.853 1517
01-01 08:30:15.922 1517
01-3020:21:47.730 1517
01-3020:21:48.610 1517

DBOOOODOO

01-01 08:05:44.304 666
01-01 08:05:44.759 666
01-01 08:05:45.603 666
01-01 08:05:45.802 1518
01-01 08:05:46.226 1518
01-01 08:05:46.312 1518
01-01 08:05:46.838 1518
01-01 08:05:46.840 1518
01-0108:05:46.904 1518
02-0110:51:38.633 1518
02-0110:51:39.533 1518

665 | boot_progress_start: 6135

665 | boot_progress_preload_start: 6578

665 | boot_progress_preload_end: 7445

1517 | boot_progress_system_run: 7637

1517 | boot_progress_pms_start: 8073

1517 | boot_progress_pms_system_scan_start: 8159
1517 | boot_progress_pms_data_scan_start: 8699
1517 I boot_progress_pms_scan_end: 8702

1517 I boot_progress_pms_ready: 8771

1517 | boot_progress_ams_ready: 9648

1604 | boot_progress_enable_screen: 10529

666 | boot_progress_start: 7408

666 | boot_progress_preload_start: 7863

666 | boot_progress_preload_end: 8707

1518 | boot_progress_system_run: 8906

1518 | boot_progress_pms_start: 9330

1518 | boot_progress_pms_system_scan_start: 9416
1518 | boot_progress_pms_data_scan_start: 9942
1518 | boot_progress_pms_scan_end: 9944

1518 | boot_progress_pms_ready: 10008

1518 | boot_progress_ams_ready: 10799

1611 | boot_progress_enable_screen: 11699

#26 - 2023-02-06 16:22 - CD BSP-0 O
- Status changed from New to NEED_INFO
- Assignee changed fromCDBSP-0 0 to0 0 0O OO _CDTSO O

ooao
Jo00vClDO0OO0OO000000000000O0TouchD O0OO0OOtouchDODODODOOOOOOO
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure turbox-c2130c-lal.1-gssil2-dev/20230203/202302032005-2450/FlatBuild HH VX1 MCE FSE.M.D.user.0
1.00.X101.202302032238.zip

oo

#27-2023-02-0620:25-0 0 0000 _CDTSO O
- Status changed from NEED_INFO to ASSIGNED
- Assignee changed from0 0 0 00 0 _CDTSO O toCDBSP-00 O

0000 O FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302032238
goooOooooooooOonssooodrs

01-0108:00:07.658 672 672 1boot_progress_start: 5420

01-01 08:00:08.105 672 672 1 boot_progress_preload_start: 5868

01-01 08:00:08.908 672 672 1 boot_progress_preload_end: 6670

01-01 08:00:09.095 1505 1505 | boot_progress_system_run: 6858

01-01 08:00:09.568 1505 1505 | boot_progress_pms_start: 7330

01-01 08:00:09.652 1505 1505 | boot_progress_pms_system_scan_start: 7415
01-0108:00:10.168 1505 1505 | boot_progress_pms_data_scan_start: 7930
01-0108:00:10.171 1505 1505 | boot_progress_pms_scan_end: 7933
01-01 08:00:10.255 1505 1505 | boot_progress_pms_ready: 8018

02-03 20:55:50.687 1505 1505 | boot_progress_ams_ready: 8859

02-03 20:55:51.553 1505 1604 | boot_progress_enable_screen: 9725

goooooooooooboooooooooog

#28 - 2023-02-08 20:53 - 10T scm
Gerrit Merge Information(]

1D Project Branch Uploader
177177 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:TP: Optimize VC1 touch startup timeOptimize VVC1 touch startup timeTC-RID: 1201-01004011ssuel D: TS-R-DF-114334Change-1d:
13d82¢c320b258c901aee6c6394dad376306c0de74

#29 - 2023-02-10 14:03 - CD BSP-00 O

Hi, 00O

00000DoOovBOOOVX1IOTouchOOOOOODODODOOODODOOOODODOOOO
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre figure turbox-c2130c-lal.1-gssil2-dev/20230209/202302091941-2529

#30 - 2023-02-10 16:44 - CD BSP-00 O
- Subject changed from 0 D O TPO O O koD OO0 012000000 toOBSPO O TouchOOEVTO O OO TPOO D koD OO OO 12s0 00000
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230203/202302032005-2450/FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302032238.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230203/202302032005-2450/FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302032238.zip
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

#31 - 2023-02-14 11:10 - CDTS-TEST O O
- Due date changed from 2023-02-07 to 2023-02-15

#32 - 2023-02-14 13:54 - CD BSP-O 0

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed fromCDBSP-0 0 toO O OO OO _CDTSOO
- % Done changed from 40 to 60

#33-2023-02-1514:46-0 00000 _CDTSO O
- Status changed from NEED_INFO to ASSIGNED

0000 O ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-lal.1-gssi12-dev/20230209/202302091941-2529
goooveioood

Jo0000-00000000000DO13.91s
goooO0-0bo00boO=43es0 0000000030 D O00DOO00DDs0 0D O0OODOOO0ODOOOODOOODOO
A adb logcat -b all | grep boot_progress

01-01 11:06:05.312 664 664 | boot_progress_start: 5623

01-0111:06:05.794 664 664 | boot_progress_preload_start: 6105

01-01 11:06:06.826 664 664 | boot_progress_preload_end: 7137

01-0111:06:07.103 1497 1497 | boot_progress_system_run: 7414

01-0111:06:07.540 1497 1497 | boot_progress_pms_start: 7852

01-0111:06:07.627 1497 1497 | boot_progress_pms_system_scan_start: 7938

01-0111:06:08.101 1497 1497 | boot_progress_pms_data_scan_start: 8413

01-0111:06:08.103 1497 1497 | boot_progress_pms_scan_end: 8415

01-0111:06:08.164 1497 1497 | boot_progress_pms_ready: 8475

02-09 21:28:02.651 1497 1497 | boot_progress_ams_ready: 9258

02-09 21:28:03.437 1497 1599 | boot_progress_enable_screen: 10044

O0o0owvxio

0o0000-000000000Db00D0O14.16s
Jo0000-0000000=44500 00000000300 00000000000 0DO0ODODODODODODODOODOO
liugiang0703@xp027325 ~

A adb logcat b-atH-grep-beot—progress

waiting for device -

01-01 08:00:08.294 669 669 | boot_progress_start: 5975

01-01 08:00:08.715 669 669 I boot_progress_preload_start: 6395

01-01 08:00:09.726 669 669 | boot_progress_preload_end: 7406

01-01 08:00:09.965 1512 1512 | boot_progress_system_run: 7645
01-0108:00:10.463 1512 1512 | boot_progress_pms_start: 8144
01-0108:00:10.554 1512 1512 | boot_progress_pms_system_scan_start: 8234
01-0108:00:10.973 1512 1512 | boot_progress_pms_data_scan_start: 8653
01-01 08:00:10.975 1512 1512 | boot_progress_pms_scan_end: 8656
01-0108:00:11.032 1512 1512 | boot_progress_pms_ready: 8712

02-09 21:28:02.713 1512 1512 | boot_progress_ams_ready: 9549

02-09 21:28:03.442 1512 1588 | boot_progress_enable_screen: 10278

goobooooooooooooooboooon

#34-2023-02-1514:46-0 00000 _CDTSO DO
- Assignee changed fromC0 0 0 00O _CDTSO O toCDBSP-O O
ftp://cdiot@192.168.87.46/Pre_figure/VerifyBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-dev/20230209/202302091941-2529

#35 - 2023-02-16 16:09 - loT scm

Gerrit Merge Information(

1D Project Branch Uploader
178194 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-lal.1-vendo | dulei0503@thundersoft.com
r-dev

BSP:TP: Optimize VX1 touch startup timeOptimize VX1 touch startup timeTC-RID: 1201-0100401Issuel D: TS-R-DF-114334Change-Id:
1c5ae10722d949a6e990b38c5cd5f11e17¢8e294b

#36 - 2023-02-16 16:09 - CD BSP-00 O

O000fixOO0O0O00000OcloseD 00O

#37 - 2023-02-16 16:10 - CD BSP-0 U

- Status changed from ASSIGNED to RESOLVED

- Assignee changed fromCDBSP-O 0 toOD O OO OO _CDTSOO
- % Done changed from 60 to 100

- Resolution changed from -- to FIXED
-Rootcausesetto D OO0 OO OOO0O00OOOOO

#38-2023-02-2214:37-000000_CDTSO O

- Status changed from RESOLVED to VERIFIED

0000 O FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0075.X101
00000000000 14s000000000044s00015s0000

#39-2023-02-2214:37-000000_CDTSOO
- Status changed from VERIFIED to CLOSED

Files
d.txt 482 KB 2022-12-13 gooooo_cpTsano
l.txt 2.78 MB 2022-12-13 gooooo_cbTsao
